Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (7 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/releases/1.4.7/configure

    r2980 r2985  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-lapack compile project Lapack with debug compiler flags
    1084 
    1085   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1084  --enable-doscompile     Under Cygwin, compile so that executables run under
     1085                          DOS. Set to mingw to use gcc/g++/ld with
     1086                          -mno-cygwin. Set to msvc to use cl/link (or
     1087                          icl/link). Default when mentioned: mingw. Default
     1088                          when not mentioned: disabled.
    10861089  --disable-pkg-config    disable use of pkg-config (if available)
    10871090  --disable-interpackage-dependencies
     
    18871890
    18881891# Get the name of the Fortran compiler and appropriate compiler options
    1889 
    1890 
    1891   # for backward compatibility
    1892   # Check whether --enable-doscompile or --disable-doscompile was given.
    1893 if test "${enable_doscompile+set}" = set; then
    1894   enableval="$enable_doscompile"
    1895   enable_doscompile=$enableval
    1896 else
    1897   enable_doscompile=no
    1898 fi;
    1899 
    1900   # Check whether --enable-msvc or --disable-msvc was given.
    1901 if test "${enable_msvc+set}" = set; then
    1902   enableval="$enable_msvc"
    1903   enable_msvc=$enableval
    1904 else
    1905   enable_msvc=no
    1906      if test "$enable_doscompile" = msvc ; then
    1907        enable_msvc=yes
    1908      elif test "$enable_doscompile" != no ; then
    1909        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1910 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1911    { (exit 1); exit 1; }; }
    1912      fi
    1913 
    1914 fi;
    1915 
    1916   if test "$enable_msvc" = yes; then
    1917     case $build in
    1918       *-cygwin* | *-mingw*) ;;
    1919       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1920 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1921    { (exit 1); exit 1; }; } ;;
    1922     esac
    1923   fi
    1924 
    1925 
    1926  case $build in
     1892case $build in
    19271893  *-mingw*)
    19281894    if test "${LD+set}" = set; then :; else
     
    19311897    ;;
    19321898 esac
    1933  if test $enable_msvc = yes ; then
    1934    if test "x${LD+set}" = xset; then :; else
    1935      LD=link
     1899 case $enable_doscompile in
     1900   msvc)
     1901     if test "x${LD+set}" = xset; then :; else
     1902       LD=link
     1903     fi
     1904     ;;
     1905 esac
     1906
     1907
     1908 # Check whether --enable-doscompile or --disable-doscompile was given.
     1909if test "${enable_doscompile+set}" = set; then
     1910  enableval="$enable_doscompile"
     1911  if test "$enable_doscompile" != no; then
     1912     case $build in
     1913       *-cygwin* | *-mingw*) ;;
     1914       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1915echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1916   { (exit 1); exit 1; }; } ;;
     1917     esac
    19361918   fi
    1937  fi
     1919else
     1920  enable_doscompile=no
     1921fi;
     1922 case "$enable_doscompile" in
     1923   mingw)
     1924     case $build in
     1925       *-mingw*) enable_doscompile=no ;;
     1926     esac
     1927     ;;
     1928   msvc|no) ;;
     1929   yes) enable_doscompile=mingw ;;
     1930   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1931                    Try configure --help=recursive." >&5
     1932echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1933                    Try configure --help=recursive." >&2;}
     1934   { (exit 1); exit 1; }; }
     1935      ;;
     1936  esac
     1937  if test "$enable_doscompile" != no ; then
     1938    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1939echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1940  fi
    19381941
    19391942
     
    19781981case $build in
    19791982  *-cygwin* | *-mingw*)
    1980              if test "$enable_msvc" = yes ; then
    1981                comps="icl cl gcc"
     1983             if test "$enable_doscompile" = msvc ; then
     1984               comps="icl cl"
    19821985             else
    1983                comps="gcc icl cl"
     1986               comps="gcc cl"
    19841987             fi ;;
    19851988  *-*-solaris*)
     
    28342837            ;;
    28352838        esac
     2839        case $enable_doscompile in
     2840          mingw)
     2841            CFLAGS="-mno-cygwin"
     2842            cat >conftest.$ac_ext <<_ACEOF
     2843/* confdefs.h.  */
     2844_ACEOF
     2845cat confdefs.h >>conftest.$ac_ext
     2846cat >>conftest.$ac_ext <<_ACEOF
     2847/* end confdefs.h.  */
     2848
     2849int
     2850main ()
     2851{
     2852int i=0; i++;
     2853  ;
     2854  return 0;
     2855}
     2856_ACEOF
     2857rm -f conftest.$ac_objext conftest$ac_exeext
     2858if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2859  (eval $ac_link) 2>conftest.er1
     2860  ac_status=$?
     2861  grep -v '^ *+' conftest.er1 >conftest.err
     2862  rm -f conftest.er1
     2863  cat conftest.err >&5
     2864  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2865  (exit $ac_status); } &&
     2866         { ac_try='test -z "$ac_c_werror_flag"
     2867                         || test ! -s conftest.err'
     2868  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2869  (eval $ac_try) 2>&5
     2870  ac_status=$?
     2871  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2872  (exit $ac_status); }; } &&
     2873         { ac_try='test -s conftest$ac_exeext'
     2874  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2875  (eval $ac_try) 2>&5
     2876  ac_status=$?
     2877  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2878  (exit $ac_status); }; }; then
     2879  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2880else
     2881  echo "$as_me: failed program was:" >&5
     2882sed 's/^/| /' conftest.$ac_ext >&5
     2883
     2884fi
     2885rm -f conftest.err conftest.$ac_objext \
     2886      conftest$ac_exeext conftest.$ac_ext
     2887            CFLAGS=
     2888          ;;
     2889        esac
    28362890    esac
    28372891  fi
     
    31743228  clang* ) ;;
    31753229  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3176 
    3177  case $build in
     3230    case $build in
    31783231  *-mingw*)
    31793232    if test "${LD+set}" = set; then :; else
     
    31823235    ;;
    31833236 esac
    3184  if test $enable_msvc = yes ; then
    3185    if test "x${LD+set}" = xset; then :; else
    3186      LD=link
    3187    fi
    3188  fi
     3237 case $enable_doscompile in
     3238   msvc)
     3239     if test "x${LD+set}" = xset; then :; else
     3240       LD=link
     3241     fi
     3242     ;;
     3243 esac
    31893244
    31903245    ;;
     
    32003255case $build in
    32013256  *-cygwin* | *-mingw*)
    3202      if test "$enable_msvc" = yes ; then
    3203        coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
     3257     if test "$enable_doscompile" = msvc ; then
     3258       coin_f77_comps="ifort fl32 compile_f2c"
    32043259     else
    32053260       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34263481
    34273482# Provide some information about the compiler.
    3428 echo "$as_me:3428:" \
     3483echo "$as_me:3483:" \
    34293484     "checking for Fortran 77 compiler version" >&5
    34303485ac_compiler=`set X $ac_compile; echo $2`
     
    35953650    coin_add_fflags="-pipe"
    35963651    coin_dbg_fflags="-g -O0"
     3652    case $enable_doscompile in
     3653      mingw)
     3654        FFLAGS="-mno-cygwin"
     3655        cat >conftest.$ac_ext <<_ACEOF
     3656      program main
     3657      write(*,*) 'Hello world'
     3658      end
     3659_ACEOF
     3660rm -f conftest.$ac_objext conftest$ac_exeext
     3661if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3662  (eval $ac_link) 2>conftest.er1
     3663  ac_status=$?
     3664  grep -v '^ *+' conftest.er1 >conftest.err
     3665  rm -f conftest.er1
     3666  cat conftest.err >&5
     3667  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3668  (exit $ac_status); } &&
     3669         { ac_try='test -z "$ac_f77_werror_flag"
     3670                         || test ! -s conftest.err'
     3671  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3672  (eval $ac_try) 2>&5
     3673  ac_status=$?
     3674  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3675  (exit $ac_status); }; } &&
     3676         { ac_try='test -s conftest$ac_exeext'
     3677  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3678  (eval $ac_try) 2>&5
     3679  ac_status=$?
     3680  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3681  (exit $ac_status); }; }; then
     3682  coin_add_fflags="-mno-cygwin $coin_add_fflags"
     3683else
     3684  echo "$as_me: failed program was:" >&5
     3685sed 's/^/| /' conftest.$ac_ext >&5
     3686
     3687fi
     3688rm -f conftest.err conftest.$ac_objext \
     3689      conftest$ac_exeext conftest.$ac_ext
     3690        FFLAGS=
     3691      ;;
     3692    esac
    35973693  else
    35983694    case $build in
     
    38863982case "$F77" in
    38873983  ifort* | */ifort* | IFORT* | */IFORT*)
    3888 
    3889  case $build in
     3984    case $build in
    38903985  *-mingw*)
    38913986    if test "${LD+set}" = set; then :; else
     
    38943989    ;;
    38953990 esac
    3896  if test $enable_msvc = yes ; then
    3897    if test "x${LD+set}" = xset; then :; else
    3898      LD=link
    3899    fi
    3900  fi
     3991 case $enable_doscompile in
     3992   msvc)
     3993     if test "x${LD+set}" = xset; then :; else
     3994       LD=link
     3995     fi
     3996     ;;
     3997 esac
    39013998
    39023999    ;;
     
    39654062ac_save_FFLAGS=$FFLAGS
    39664063FFLAGS="$FFLAGS $ac_verb"
    3967 (eval echo $as_me:3967: \"$ac_link\") >&5
     4064(eval echo $as_me:4064: \"$ac_link\") >&5
    39684065ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39694066echo "$ac_f77_v_output" >&5
     
    40434140ac_save_FFLAGS=$FFLAGS
    40444141FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4045 (eval echo $as_me:4045: \"$ac_link\") >&5
     4142(eval echo $as_me:4142: \"$ac_link\") >&5
    40464143ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40474144echo "$ac_f77_v_output" >&5
     
    54255522# Try to autodetect the library for blas based on build system
    54265523  #AC_MSG_CHECKING([default locations for BLAS])
     5524  skip_lblas_check=no
    54275525  case $build in
    54285526    *-sgi-*)
     
    62276325
    62286326    *-cygwin* | *-mingw*)
     6327# On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
     6328# library will want to link with cygwin, hence won't run standalone in DOS.
     6329      if test "$enable_doscompile" = mingw; then
     6330        skip_lblas_check=yes
     6331      fi
    62296332      case "$CC" in
    62306333        clang* ) ;;
     
    73907493  esac
    73917494
    7392   if test -z "$use_blas" ; then
     7495  if test -z "$use_blas" && test $skip_lblas_check = no; then
    73937496    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    73947497echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    1004810151*-*-irix6*)
    1004910152  # Find out which ABI we are using.
    10050   echo '#line 10050 "configure"' > conftest.$ac_ext
     10153  echo '#line 10153 "configure"' > conftest.$ac_ext
    1005110154  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    1005210155  (eval $ac_compile) 2>&5
     
    1252512628   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1252612629   -e 's:$: $lt_compiler_flag:'`
    12527    (eval echo "\"\$as_me:12527: $lt_compile\"" >&5)
     12630   (eval echo "\"\$as_me:12630: $lt_compile\"" >&5)
    1252812631   (eval "$lt_compile" 2>conftest.err)
    1252912632   ac_status=$?
    1253012633   cat conftest.err >&5
    12531    echo "$as_me:12531: \$? = $ac_status" >&5
     12634   echo "$as_me:12634: \$? = $ac_status" >&5
    1253212635   if (exit $ac_status) && test -s "$ac_outfile"; then
    1253312636     # The compiler can only warn and ignore the option if not recognized
     
    1279312896   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1279412897   -e 's:$: $lt_compiler_flag:'`
    12795    (eval echo "\"\$as_me:12795: $lt_compile\"" >&5)
     12898   (eval echo "\"\$as_me:12898: $lt_compile\"" >&5)
    1279612899   (eval "$lt_compile" 2>conftest.err)
    1279712900   ac_status=$?
    1279812901   cat conftest.err >&5
    12799    echo "$as_me:12799: \$? = $ac_status" >&5
     12902   echo "$as_me:12902: \$? = $ac_status" >&5
    1280012903   if (exit $ac_status) && test -s "$ac_outfile"; then
    1280112904     # The compiler can only warn and ignore the option if not recognized
     
    1289713000   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1289813001   -e 's:$: $lt_compiler_flag:'`
    12899    (eval echo "\"\$as_me:12899: $lt_compile\"" >&5)
     13002   (eval echo "\"\$as_me:13002: $lt_compile\"" >&5)
    1290013003   (eval "$lt_compile" 2>out/conftest.err)
    1290113004   ac_status=$?
    1290213005   cat out/conftest.err >&5
    12903    echo "$as_me:12903: \$? = $ac_status" >&5
     13006   echo "$as_me:13006: \$? = $ac_status" >&5
    1290413007   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1290513008   then
     
    1531415417  lt_status=$lt_dlunknown
    1531515418  cat > conftest.$ac_ext <<EOF
    15316 #line 15316 "configure"
     15419#line 15419 "configure"
    1531715420#include "confdefs.h"
    1531815421
     
    1541415517  lt_status=$lt_dlunknown
    1541515518  cat > conftest.$ac_ext <<EOF
    15416 #line 15416 "configure"
     15519#line 15519 "configure"
    1541715520#include "confdefs.h"
    1541815521
     
    1777417877   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1777517878   -e 's:$: $lt_compiler_flag:'`
    17776    (eval echo "\"\$as_me:17776: $lt_compile\"" >&5)
     17879   (eval echo "\"\$as_me:17879: $lt_compile\"" >&5)
    1777717880   (eval "$lt_compile" 2>conftest.err)
    1777817881   ac_status=$?
    1777917882   cat conftest.err >&5
    17780    echo "$as_me:17780: \$? = $ac_status" >&5
     17883   echo "$as_me:17883: \$? = $ac_status" >&5
    1778117884   if (exit $ac_status) && test -s "$ac_outfile"; then
    1778217885     # The compiler can only warn and ignore the option if not recognized
     
    1787817981   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1787917982   -e 's:$: $lt_compiler_flag:'`
    17880    (eval echo "\"\$as_me:17880: $lt_compile\"" >&5)
     17983   (eval echo "\"\$as_me:17983: $lt_compile\"" >&5)
    1788117984   (eval "$lt_compile" 2>out/conftest.err)
    1788217985   ac_status=$?
    1788317986   cat out/conftest.err >&5
    17884    echo "$as_me:17884: \$? = $ac_status" >&5
     17987   echo "$as_me:17987: \$? = $ac_status" >&5
    1788517988   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1788617989   then
     
    1944819551   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1944919552   -e 's:$: $lt_compiler_flag:'`
    19450    (eval echo "\"\$as_me:19450: $lt_compile\"" >&5)
     19553   (eval echo "\"\$as_me:19553: $lt_compile\"" >&5)
    1945119554   (eval "$lt_compile" 2>conftest.err)
    1945219555   ac_status=$?
    1945319556   cat conftest.err >&5
    19454    echo "$as_me:19454: \$? = $ac_status" >&5
     19557   echo "$as_me:19557: \$? = $ac_status" >&5
    1945519558   if (exit $ac_status) && test -s "$ac_outfile"; then
    1945619559     # The compiler can only warn and ignore the option if not recognized
     
    1955219655   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1955319656   -e 's:$: $lt_compiler_flag:'`
    19554    (eval echo "\"\$as_me:19554: $lt_compile\"" >&5)
     19657   (eval echo "\"\$as_me:19657: $lt_compile\"" >&5)
    1955519658   (eval "$lt_compile" 2>out/conftest.err)
    1955619659   ac_status=$?
    1955719660   cat out/conftest.err >&5
    19558    echo "$as_me:19558: \$? = $ac_status" >&5
     19661   echo "$as_me:19661: \$? = $ac_status" >&5
    1955919662   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1956019663   then
     
    2175921862   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2176021863   -e 's:$: $lt_compiler_flag:'`
    21761    (eval echo "\"\$as_me:21761: $lt_compile\"" >&5)
     21864   (eval echo "\"\$as_me:21864: $lt_compile\"" >&5)
    2176221865   (eval "$lt_compile" 2>conftest.err)
    2176321866   ac_status=$?
    2176421867   cat conftest.err >&5
    21765    echo "$as_me:21765: \$? = $ac_status" >&5
     21868   echo "$as_me:21868: \$? = $ac_status" >&5
    2176621869   if (exit $ac_status) && test -s "$ac_outfile"; then
    2176721870     # The compiler can only warn and ignore the option if not recognized
     
    2202722130   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2202822131   -e 's:$: $lt_compiler_flag:'`
    22029    (eval echo "\"\$as_me:22029: $lt_compile\"" >&5)
     22132   (eval echo "\"\$as_me:22132: $lt_compile\"" >&5)
    2203022133   (eval "$lt_compile" 2>conftest.err)
    2203122134   ac_status=$?
    2203222135   cat conftest.err >&5
    22033    echo "$as_me:22033: \$? = $ac_status" >&5
     22136   echo "$as_me:22136: \$? = $ac_status" >&5
    2203422137   if (exit $ac_status) && test -s "$ac_outfile"; then
    2203522138     # The compiler can only warn and ignore the option if not recognized
     
    2213122234   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2213222235   -e 's:$: $lt_compiler_flag:'`
    22133    (eval echo "\"\$as_me:22133: $lt_compile\"" >&5)
     22236   (eval echo "\"\$as_me:22236: $lt_compile\"" >&5)
    2213422237   (eval "$lt_compile" 2>out/conftest.err)
    2213522238   ac_status=$?
    2213622239   cat out/conftest.err >&5
    22137    echo "$as_me:22137: \$? = $ac_status" >&5
     22240   echo "$as_me:22240: \$? = $ac_status" >&5
    2213822241   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2213922242   then
     
    2508125184echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2508225185coin_link_input_cmd="$LN_S"
     25186if test "$enable_doscompile" = mingw; then
     25187  coin_link_input_cmd=cp
     25188fi
    2508325189case "$CC" in
    2508425190  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.